Apache JMeter

## org.apache.jmeter.engine.util
Class UndoVariableReplacement

    java.lang.Object
      org.apache.jmeter.engine.util.AbstractTransformer
          org.apache.jmeter.engine.util.UndoVariableReplacement

All Implemented Interfaces:
  org.apache.jmeter.engine.util.ValueTransformer

public class UndoVariableReplacement
extends org.apache.jmeter.engine.util.AbstractTransformer

Field Summary
`protected CompoundVariable` `masterFunction`
`protected Map` `variables`

Constructor Summary
`UndoVariableReplacement(CompoundVariable masterFunction, Map variables)`

Method Summary
`protected CompoundVariable` `getMasterFunction()`
`Map` `getVariables()`
`void` `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
`void` `setVariables(Map map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
`JMeterProperty` `transformValue(JMeterProperty prop)` Transform the given property and return the new version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### masterFunction

    protected CompoundVariable masterFunction

### variables

    protected Map variables

Constructor Detail

### UndoVariableReplacement

    public UndoVariableReplacement(CompoundVariable masterFunction,
                                   Map variables)

Method Detail

### transformValue

    public JMeterProperty transformValue(JMeterProperty prop)
                                  throws InvalidVariableException

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Transform the given property and return the new version.

  Parameters:
    `prop` -
  Returns:
    the transformed property
  Throws:
    `InvalidVariableException`

### setMasterFunction

    public void setMasterFunction(CompoundVariable variable)

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Set the master function for the value transformer. This handles converting strings to functions.

  Specified by:
    `setMasterFunction` in interface `org.apache.jmeter.engine.util.ValueTransformer`
  Parameters:
    `variable` -

### getMasterFunction

    protected CompoundVariable getMasterFunction()

### getVariables

    public Map getVariables()

### setVariables

    public void setVariables(Map map)

  Description copied from interface: `org.apache.jmeter.engine.util.ValueTransformer`
  Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.

  Specified by:
    `setVariables` in interface `org.apache.jmeter.engine.util.ValueTransformer`
  Parameters:
    `map` -

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.